Ogre::PropertyValue Struct Reference
Property

A simple structure designed just as a holder of property values between the instances of objects they might target. More...

`#include <OgreProperty.h>`

List of all members.

## Public Attributes

PropertyType | propType
Ogre::Any | val

## Detailed Description

A simple structure designed just as a holder of property values between the instances of objects they might target.

There is just enough information here to be able to interpret the results accurately but no more.

Definition at line 268 of file OgreProperty.h.

## Member Data Documentation

PropertyType Ogre::PropertyValue::propType

Definition at line 270 of file OgreProperty.h.

Ogre::Any Ogre::PropertyValue::val

Definition at line 271 of file OgreProperty.h.

The documentation for this struct was generated from the following file:

- OgreProperty.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:43